gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Fix selenium laun


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Fix selenium launcher.
Date: Wed, 15 Feb 2017 17:25:04 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 74bb638  Fix selenium launcher.
     new 46e17e7  Merge branch 'master' of taler.net:deployment
74bb638 is described below

commit 74bb638f83e84f648bb300d01cd09a4f047bb568
Author: Marcello Stanisci <address@hidden>
AuthorDate: Wed Feb 15 17:24:26 2017 +0100

    Fix selenium launcher.
---
 selenium/launch_selenium_test | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

diff --git a/selenium/launch_selenium_test b/selenium/launch_selenium_test
index 750505e..96f8e20 100755
--- a/selenium/launch_selenium_test
+++ b/selenium/launch_selenium_test
@@ -1,11 +1,18 @@
 #!/bin/bash
 
-# update wallet and pack extension
-(cd $HOME/wallet-webex \
- && git pull \
- && ./configure \
- && make \
- && xvfb-run chromium --pack-extension $HOME/wallet-webex)
+set -eu
+
+cd $HOME/wallet-webex
+git clean -fdx
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --remote
+
+tsc # use 'make' once yarn problems art fixed.
 
 eval $(docker-machine env)
 
@@ -14,10 +21,10 @@ if docker restart container_chrome > /dev/null;
 then echo "Chrome container succesfully restarted";
 fi
 
-# Give time to container to get fully operational
+# Give time for the container to get fully operational
 sleep 2
 
 # call python3 selenium script
 python3 $HOME/wallet-webex/selenium/withdraw_buy.py \
-  --ext=$HOME/ext.crx \
+  --ext-unpacked=$HOME/wallet-webex \
   --remote=http://$(docker-machine ip):4444/wd/hub

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]